curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
🇳🇿 新西兰
新西兰驾照(NZTA)验证 API
新西兰驾照(NZTA):通过 Didit 进行权威的新西兰数据库查询。按次计费,单次调用低至 $0.35,无合同、无最低消费。
POST
/
v3
/
database-validation
/
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
将输入数据提交至 NZTA 验证服务进行核验。Didit 通过
POST /v3/database-validation/ 提供此服务,便于您将提交的数据与权威数据源比对,并获取标准化的匹配结果。
覆盖范围
- 覆盖率: 100%*
- 国家/地区: 新西兰
- 服务 ID:
nzl_zealand_drivers_licence - 数据域: 证件
- 类别: 驾驶执照
输入
| 字段 | 必填 | 示例 |
|---|---|---|
first_name | 是 | John |
last_name | 是 | Doe |
date_of_birth | 是 | 1990-01-01 |
driver_license_number | 是 | SAMPLE-DL-12345 |
driver_license_version | 是 | 1 |
vendor_data | 否 | user-1234 |
- 必填输入:
first_name、last_name、date_of_birth、driver_license_number、driver_license_version - 可选输入:
vendor_data - 同意: 必填
- 工作流可用性: 可在工作流中使用
- 覆盖率: 100%*
- 价格: 每次成功查询 $0.35
请求体参数
string
默认值:"NZL"
必填
此数据库服务的 ISO 3166-1 alpha-3 国家代码。示例:
NZLstring
默认值:"nzl_zealand_drivers_licence"
必填
包含此服务 ID 的数组。固定服务 ID 可将请求限定在此特定数据库范围内。示例:
nzl_zealand_drivers_licenceboolean
默认值:"true"
必填
终端用户对此服务的明确同意。示例:
truestring
默认值:"John"
必填
需要验证的名字。示例:
Johnstring
默认值:"Doe"
必填
需要验证的姓氏。示例:
Doestring
默认值:"1990-01-01"
必填
出生日期,格式为
YYYY-MM-DD。示例:1990-01-01string
默认值:"SAMPLE-DL-12345"
必填
驾驶执照号码。示例:
SAMPLE-DL-12345string
默认值:"1"
必填
此数据库服务所需的
driver_license_version 值。示例:1string
默认值:"user-1234"
您为此人设定的稳定用户标识,例如您内部的用户 ID。Didit 使用它将独立检查关联到同一终端用户,并减少重复检测的干扰。示例:
user-1234输入规则与校验说明
- 按用户或证件中采集的原样发送上述字段。
- Didit 会在调用数据库前校验必填字段。在查询数据源前被拒绝的请求不计费。
调用方法
curl -X POST "https://verification.didit.me/v3/database-validation/" \
-H "x-api-key: YOUR_API_KEY" \
-F "issuing_state=NZL" \
-F "services=nzl_zealand_drivers_licence" \
-F "vendor_data=user-1234" \
-F "consent=true" \
-F "first_name=John" \
-F "last_name=Doe" \
-F "date_of_birth=1990-01-01" \
-F "driver_license_number=SAMPLE-DL-12345" \
-F "driver_license_version=1"
from didit import Didit
# Reads DIDIT_API_KEY.
client = Didit()
result = client.database_validation.validate(
issuing_state="NZL",
services=["nzl_zealand_drivers_licence"],
consent=True,
first_name="John",
last_name="Doe",
date_of_birth="1990-01-01",
driver_license_number="SAMPLE-DL-12345",
driver_license_version="1",
vendor_data="user-1234",
)
print(result)
import Didit from "@didit-protocol/sdk-node";
// Reads DIDIT_API_KEY.
const didit = new Didit();
const result = await didit.databaseValidation.validate({
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234",
});
console.log(result);
ctx := context.Background()
// Reads DIDIT_API_KEY.
client := didit.NewClient()
result, err := client.DatabaseValidation.Validate(ctx, didit.DatabaseValidationValidateParams{
IssuingState: "NZL",
Services: didit.Some([]string{"nzl_zealand_drivers_licence"}),
Consent: didit.Bool(true),
FirstName: didit.String("John"),
LastName: didit.String("Doe"),
DateOfBirth: didit.String("1990-01-01"),
DriverLicenseNumber: didit.String("SAMPLE-DL-12345"),
DriverLicenseVersion: didit.String("1"),
VendorData: didit.String("user-1234"),
})
if err != nil {
log.Fatal(err)
}
fmt.Printf("%+v\n", result)
import java.time.LocalDate;
import java.util.List;
import me.didit.Didit;
import me.didit.types.DatabaseValidationValidateParams;
// Reads DIDIT_API_KEY.
Didit client = new Didit();
var result = client.databaseValidation().validate(DatabaseValidationValidateParams.builder()
.issuingState("NZL")
.services(List.of("nzl_zealand_drivers_licence"))
.consent(true)
.firstName("John")
.lastName("Doe")
.dateOfBirth(LocalDate.parse("1990-01-01"))
.driverLicenseNumber("SAMPLE-DL-12345")
.driverLicenseVersion("1")
.vendorData("user-1234")
.build());
System.out.println(result);
<?php
require 'vendor/autoload.php';
use Didit\DiditClient;
// Reads DIDIT_API_KEY.
$didit = new DiditClient();
$result = $didit->databaseValidation->validate([
'issuing_state' => 'NZL',
'services' => ['nzl_zealand_drivers_licence'],
'consent' => true,
'first_name' => 'John',
'last_name' => 'Doe',
'date_of_birth' => '1990-01-01',
'driver_license_number' => 'SAMPLE-DL-12345',
'driver_license_version' => '1',
'vendor_data' => 'user-1234',
]);
print_r($result->toArray());
require "didit"
# Reads DIDIT_API_KEY.
didit = Didit::Client.new
result = didit.database_validation.validate(
issuing_state: "NZL",
services: ["nzl_zealand_drivers_licence"],
consent: true,
first_name: "John",
last_name: "Doe",
date_of_birth: "1990-01-01",
driver_license_number: "SAMPLE-DL-12345",
driver_license_version: "1",
vendor_data: "user-1234"
)
puts result.to_h
using System;
using System.Text.Json;
using Didit;
// Reads DIDIT_API_KEY.
using var client = new DiditClient();
var result = await client.DatabaseValidation.ValidateAsync(new DatabaseValidationValidateParams
{
IssuingState = "NZL",
Services = new string[] { "nzl_zealand_drivers_licence" },
Consent = true,
FirstName = "John",
LastName = "Doe",
DateOfBirth = "1990-01-01",
DriverLicenseNumber = "SAMPLE-DL-12345",
DriverLicenseVersion = "1",
VendorData = "user-1234",
});
Console.WriteLine(JsonSerializer.Serialize(result));
每次成功调用均返回 HTTP 200。outcome_code 字段说明实际发生的情况,例如可区分真实的生物识别不匹配(BIOMETRIC_NO_MATCH)与无法读取的自拍照(BIOMETRIC_IMAGE_UNUSABLE)。所示 status 为默认功能状态;您配置的 部分匹配/无匹配操作 可以覆盖该状态。MATCH:登记机构确认了身份,且所有被核验的字段均匹配。{
"request_id": "req_01H…",
"status": "Approved",
"issuing_state": "NZL",
"match_type": "full_match",
"validations": [
{
"outcome_code": "MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": true,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "full_match",
"identification_number": "full_match"
}
}
]
}
PARTIAL_MATCH:找到了证件号码,但一个或多个个人字段(通常为姓名或出生日期)未完全匹配。{
"request_id": "req_01H…",
"status": "In Review",
"issuing_state": "NZL",
"match_type": "partial_match",
"validations": [
{
"outcome_code": "PARTIAL_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "1990-01-01",
"first_name": "John",
"full_name": "John Doe",
"identification_number": "SAMPLE-ID-12345",
"last_name": "Doe",
"name_match_score": "1.000",
"verifications": {
"date_of_birth": true,
"full_name": false,
"identification_number": true
}
},
"validation": {
"date_of_birth": "full_match",
"full_name": "no_match",
"identification_number": "full_match"
}
}
]
}
NO_MATCH:登记机构未返回与所提交数据匹配的结果。{
"request_id": "req_01H…",
"status": "Declined",
"issuing_state": "NZL",
"match_type": "no_match",
"validations": [
{
"outcome_code": "NO_MATCH",
"service_id": "nzl_zealand_drivers_licence",
"service_name": "New Zealand Drivers Licence (NZTA)",
"source_data": {
"date_of_birth": "NO_MATCH",
"full_name": "NO_MATCH",
"identification_number": "NO_MATCH"
},
"validation": {
"date_of_birth": "no_match",
"full_name": "no_match",
"identification_number": "no_match"
}
}
]
}
返回数据
source_data 中实际返回的字段取决于登记机构返回的内容。nzl_zealand_drivers_licence 的生成示例目前记录了以下标准化结构:
date_of_birthfirst_namefull_nameidentification_numberlast_namename_match_score
定价与 SLA
仅当 Didit 从验证数据源收到明确结果时,才对新西兰驾照(NZTA)查询计费。- 单次调用价格: $0.35 USD。
- 计费方式: 按每次成功查询计费。若登记机构无法访问、缺少必填字段,或请求在到达数据源前被拒绝,则不收费。
- 延迟: 典型 p95 低于 2 秒。
- 可用性: Didit 侧每季度 99.9%;下游数据源的可用性因国家和数据集而异。
延伸阅读
最后修改于 2026年11月7日